<template>
  <component
    :is="tag"
    class="delete-chat-btn"
    @keydown.enter="$dialog.showModal(ConfirmDeletePriateChatDialog, { contentProps: { chat } })"
    @click="$dialog.showModal(ConfirmDeletePriateChatDialog, { contentProps: { chat } })"
  >
    <JIcon
      size="24px"
      icon="trash"
      viewBox="-0.5 -2 24 24"
    />
    <span class="label">{{ $t('delete_chat_label') }}</span>
  </component>
</template>

<script setup lang="ts">
import { PropType } from 'vue';
import { JIcon } from '@new-jira-clone/ui/src/components';
import { IChat } from '@/shared';
import ConfirmDeletePriateChatDialog from './ConfirmDeletePriateChatDialog.vue';

defineProps({
  chat: {
    type: Object as PropType<IChat>,
    required: true,
  },
  tag: {
    type: [String, Object],
    default: 'div',
  },
});
</script>

<style lang="scss" scoped>
.label {
  margin-left: 6px;
}

.delete-chat-btn {
  display: flex;
  align-items: center;
}
</style>
